[![License:0BSD](https://img.shields.io/badge/License-0BSD-brightgreen.svg)](https://opensource.org/licenses/FPL-1.0.0)
![Minimum Rust Version](https://img.shields.io/badge/Min%20Rust-1.34-green.svg)
[![travis.ci](https://travis-ci.org/Lokathor/fenestroj.svg?branch=master)](https://travis-ci.org/Lokathor/fenestroj)
[![AppVeyor](https://ci.appveyor.com/api/projects/status/56xmkqs9l51ml5vu/branch/master?svg=true)](https://ci.appveyor.com/project/Lokathor/fenestroj/branch/master)
[![crates.io](https://img.shields.io/crates/v/fenestroj.svg)](https://crates.io/crates/fenestroj)
[![docs.rs](https://docs.rs/fenestroj/badge.svg)](https://docs.rs/fenestroj/)

# fenestroj

Easier wrappers for [winapi](https://docs.rs/winapi/) stuff.

* Function naming follows the Rust `snake_case` convention:
  `GetLastError` becomes `get_last_error`
* Function names for direct function wrappers are otherwise identical
  to the `winapi` function name.
* Functions that are "new" to this crate (such as `wide_null`)
  just have whatever name seems appropriate.
* Functions are made safe if it's easily possible, and the rest of the
  time I just try to document the unsafe elements.
